#ifdef LOCAL
#define _GLIBCXX_DEBUG
#endif

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;

auto seed = std::chrono::steady_clock::now().time_since_epoch().count();
mt19937 rnd(seed);

using ll = long long;

//#define int ll

using vi = vector<int>;
using pii = pair<int, int>;
using vp = vector<pair<int, int>>;
using vv = vector<vector<int>>;

template<class T>
using ordered_set = __gnu_pbds::tree<T, __gnu_pbds::null_type, less<T>, __gnu_pbds::rb_tree_tag, __gnu_pbds::tree_order_statistics_node_update>;

void solve() {
    cout << 1 << '\n' << -1;
}

signed main() {
#ifdef LOCAL
    freopen("C:\\work\\untitled\\input.txt", "r", stdin);
    freopen("C:\\work\\untitled\\output.txt", "w", stdout);
    auto start = std::chrono::steady_clock::now();
#else
    cin.tie();
    cout.tie();
    ios_base::sync_with_stdio(0);
#endif
    int t_ = 1;
    //cin>>t;
    while (t_--) {
        solve();
    }

#ifdef LOCAL
    auto end = std::chrono::steady_clock::now();
    cout << "\n======\n";
    cout << chrono::duration_cast<chrono::milliseconds>(end - start);
#endif
}
